<?php
/**
 * @version     $Id$
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

/**
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @since       2.7.0
 */
class Com_JumbotronInstallerScript
{
	/**
	 * Runs after files are installed and database scripts executed.
	 *
	 * @param   JInstaller  $parent  The installer object.
	 *
	 * @return  void
	 *
	 * @since   2.7.0
	 */
	function install($parent)
	{
		// Add custom code.
	}

	/**
	 * Runs after files are removed and database scripts executed.
	 *
	 * @param   JInstaller  $parent  The installer object.
	 *
	 * @return  void
	 *
	 * @since   2.7.0
	 */
	function uninstall($parent)
	{
		// Add custom code.
	}

	/**
	 * Runs after files are updated and database scripts executed.
	 *
	 * @param   JInstaller  $parent  The installer object.
	 *
	 * @return  void
	 *
	 * @since   2.7.0
	 */
	function update($parent)
	{
		// Add custom code.
	}

	/**
	 * Runs before anything is run.
	 *
	 * @param   string      $type    The type of installation: install|update.
	 * @param   JInstaller  $parent  The installer object.
	 *
	 * @return  void
	 *
	 * @since   2.7.0
	 */
	function preflight($type, $parent)
	{
		// Add custom code.
	}

	/**
	 * Runs after an extension install or update.
	 *
	 * @param   string      $type    The type of installation: install|update.
	 * @param   JInstaller  $parent  The installer object.
	 *
	 * @return  void
	 *
	 * @since   2.7.0
	 */
	function postflight($type, $parent)
	{
		// Add custom code.
		// Note: this file is executed in the tmp folder if using the upload method.
	}
}
