<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

	$document = JFactory::getDocument();
	$document->addStyleSheet(JURI::base() . 'media/com_jumbotron/css/jumbotron.css');

?>
<div id="JumbotronWrapper">
	<h1>
		<?php echo $this->escape($this->item->season) ?>
		<?php echo JText::_(COM_JUMBOTRON_HEADER_SCHEDULE)?>
	</h1>

	<div id="JumbotronWrap">
		<?php 
			foreach ($this->games as $g):
			$url = 'index.php?option=com_jumbotron&view=game&id=' . $g->game_id;
	
		?>
			<div class="entry">
			<?php if ($this->escape($g->tourney) <> '') : ?>
				<div class="JumbotronLocation">
					<?php echo $this->escape($g->tourney) ?>
					<?php if ($this->escape($g->location) <> '') : ?>
						at 
						<?php echo $this->escape($g->location) ?>
					<?php endif; ?> 
				</div>
			<?php endif; ?>

			<?php if ($this->escape($g->final) <> '') : ?>
				<div class="JumbotronDateWrapper">
					<div class="JumbotronDate">
						<a href="<?php echo JRoute::_($url); ?>">
							<?php echo JHTML::_('date',$this->escape($g->game_date), JText::_('COM_JUMBOTRON_DATE_SCORE1')); ?><br />
							<?php echo JHTML::_('date',$this->escape($g->game_date), JText::_('COM_JUMBOTRON_DATE_SCORE2')); ?>
						</a> 
					</div>
				</div>
				
				<div class="JumbotronScoreWrapper">
					<div class="JumbotronScore">
						<?php if ($this->escape($g->away_score) > $this->escape($g->home_score)) : ?>
							<div class="JumbotronWinner">
						<?php endif; ?>
							<?php echo $this->escape($g->away_score) ?>
						<?php if ($this->escape($g->away_score) > $this->escape($g->home_score)) : ?>
							</div>
						<?php elseif ($this->escape($g->away_score) == $this->escape($g->home_score)) : ?>
							<br />
						<?php endif; ?>
							
						<?php if ($this->escape($g->away_score) < $this->escape($g->home_score)) : ?>
							<div class="JumbotronWinner">
						<?php endif; ?>
							<?php echo $this->escape($g->home_score) ?>
						<?php if ($this->escape($g->away_score) < $this->escape($g->home_score)) : ?>
							</div>
						<?php elseif ($this->escape($g->away_score) == $this->escape($g->home_score)) : ?>
							<br />
						<?php endif; ?>
					</div>
					
					<div class="JumbotronTeamWrapper">
						<div class="JumbotronTeams">
						<?php if ($this->escape($g->away_score) > $this->escape($g->home_score)) : ?>
							<div class="JumbotronWinner">
						<?php endif; ?>
							<?php echo $this->escape($g->away_school) ?> 
							<?php echo $this->escape($g->away_mascot) ?>
						<?php if ($this->escape($g->away_score) > $this->escape($g->home_score)) : ?>
							</div>
						<?php elseif ($this->escape($g->away_score) == $this->escape($g->home_score)) : ?>
							<br />
						<?php endif; ?>
							
						<?php if ($this->escape($g->away_score) < $this->escape($g->home_score)) : ?>
							<div class="JumbotronWinner">
						<?php endif; ?>
							<?php echo $this->escape($g->home_school) ?> 
							<?php echo $this->escape($g->home_mascot) ?>
						<?php if ($this->escape($g->away_score) < $this->escape($g->home_score)) : ?>
							</div>
						<?php elseif ($this->escape($g->away_score) == $this->escape($g->home_score)) : ?>
							<br />
						<?php endif; ?>
						</div>
						
						<div class="JumbotronFinal">
							<?php echo $this->escape($g->final) ?> 
						</div>
					</div>
				</div>
				<div class="clr"></div>
				
			<?php if ($this->escape($g->tourney) == '') : ?>
				<?php if ($this->escape($g->location) <> '') : ?>
					<div class="JumbotronLocation2">
						<?php echo JText::_('COM_JUMBOTRON_PLAYED_AT'); ?>
						<?php echo $this->escape($g->location) ?>.
					</div>
				<?php endif; ?>
			<?php endif; ?>
			
			<?php if ($this->escape($g->game_intro) <> '') : ?>
				<div class="JumbotronNote">
					<?php echo JText::_('COM_JUMBOTRON_NOTE'); ?>
					<?php echo $this->escape($g->game_intro) ?>
				</div>
			<?php endif; ?>

			<?php else : ?>
				<a href="<?php echo JRoute::_($url); ?>">
					<?php
					if ($this->escape($g->tba) == '1') : 
						echo JHTML::_('date',$this->escape($g->game_date), JText::_('COM_JUMBOTRON_DATE_TBA'));
						echo JText::_('COM_JUMBOTRON_DATE_TIME_TBA');
					else:
						echo JHTML::_('date',$this->escape($g->game_date), JText::_('COM_JUMBOTRON_DATE_GAME')); 
					endif;
					?>
				</a> -
					<?php if ($this->escape($g->away_school) == '') : ?>
						 <?php echo JText::_('COM_JUMBOTRON_TEAM_TBA'); ?>
					<?php else : ?>
						<?php echo $this->escape($g->away_school) ?> 
						<?php echo $this->escape($g->away_mascot) ?>
					<?php endif; ?>

					<?php if ($this->escape($g->tourney) <> '') : ?>
						<?php echo JText::_('COM_JUMBOTRON_VS'); ?> 
					<?php else : ?>
						<?php echo JText::_('COM_JUMBOTRON_AT'); ?> 
					<?php endif; ?>

					<?php echo $this->escape($g->home_school) ?> 
					<?php echo $this->escape($g->home_mascot) ?>
					
					<?php if ($this->escape($g->tourney) == '') : ?>
						<?php if ($this->escape($g->location) <> '') : ?>
							<div class="JumbotronLocation2">
								<?php echo JText::_('COM_JUMBOTRON_TO_BE_PLAYED_AT'); ?> 
								<?php echo $this->escape($g->location) ?>.
							</div>
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->escape($g->game_intro) <> '') : ?>
						<div class="JumbotronNote">
							<?php echo JText::_('COM_JUMBOTRON_NOTE'); ?> 
							<?php echo $this->escape($g->game_intro) ?>
						</div>
					<?php endif; ?>

			<?php endif; ?>
			</div>
		<?php endforeach ?>
		
		<p class="JumbotronFooter">Game times are subject to change without notice.</p>

	</div>
</div>

<?php
 
$month_Names = Array(
					JTEXT::_('COM_JUMBOTRON_JANUARY'), 
					JTEXT::_('COM_JUMBOTRON_FEBRUARY'), 
					JTEXT::_('COM_JUMBOTRON_MARCH'), 
					JTEXT::_('COM_JUMBOTRON_APRIL'), 
					JTEXT::_('COM_JUMBOTRON_MAY'), 
					JTEXT::_('COM_JUMBOTRON_JUNE'), 
					JTEXT::_('COM_JUMBOTRON_JULY'), 
					JTEXT::_('COM_JUMBOTRON_AUGUST'), 
					JTEXT::_('COM_JUMBOTRON_SEPTEMBER'), 
					JTEXT::_('COM_JUMBOTRON_OCTOBER'), 
					JTEXT::_('COM_JUMBOTRON_NOVEMBER'), 
					JTEXT::_('COM_JUMBOTRON_DECEMBER')
				);
 
if (!isset($_REQUEST["month"])) $_REQUEST["month"] = date("n");
if (!isset($_REQUEST["year"])) $_REQUEST["year"] = date("Y");

$Current_Month = $_REQUEST["month"];
$Current_Year = $_REQUEST["year"];
 
$prev_year = $Current_Year;
$next_year = $Current_Year;
$prev_month = $Current_Month-1;
$next_month = $Current_Month+1;
 
if ($prev_month == 0 ) 
{
	$prev_month = 12;
	$prev_year = $Current_Year - 1;
}
 
if ($next_month == 13 ) 
{
	$next_month = 1;
	$next_year = $Current_Year + 1;
}
 
?>
 
<table width="90%">
	<tr align="center">
		<td bgcolor="#999999" style="color:#FFFFFF">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td width="50%" align="left">
						<a href="<?php echo $_SERVER["PHP_SELF"] . "?month=". $prev_month . "&year=" . $prev_year; ?>" style="color:#FFFFFF">
							<?php echo JTEXT::_('COM_JUMBOTRON_PREVIOUS') ?>
						</a>
					</td>
					<td width="50%" align="right">
						<a href="<?php echo $_SERVER["PHP_SELF"] . "?month=". $next_month . "&year=" . $next_year; ?>" style="color:#FFFFFF">
							<?php echo JTEXT::_('COM_JUMBOTRON_NEXT') ?>
						</a>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td align="center">
			<table width="100%" border="0" cellpadding="2" cellspacing="2">
				<tr align="center">
					<td colspan="7" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo $month_Names[$Current_Month-1].' '.$Current_Year; ?>
						</strong>
					</td>
				</tr>
				<tr>
					<td align="center" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo JText::_('COM_JUMBOTRON_SUNDAY')?>
						</strong>
					</td>
					<td align="center" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo JText::_('COM_JUMBOTRON_MONDAY')?>
						</strong>
					</td>
					<td align="center" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo JText::_('COM_JUMBOTRON_TUESDAY')?>
						</strong>
					</td>
					<td align="center" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo JText::_('COM_JUMBOTRON_WEDNESDAY')?>
						</strong>
					</td>
					<td align="center" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo JText::_('COM_JUMBOTRON_THURSDAY')?>
						</strong>
					</td>
					<td align="center" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo JText::_('COM_JUMBOTRON_FRIDAY')?>
						</strong>
					</td>
					<td align="center" bgcolor="#999999" style="color:#FFFFFF">
						<strong>
							<?php echo JText::_('COM_JUMBOTRON_SATURDAY')?>
						</strong>
					</td>
				</tr>
				
				<?php
					$timestamp = mktime(0,0,0,$Current_Month,1,$Current_Year);
					$maxday = date("t",$timestamp);
					$thismonth = getdate ($timestamp);
					$startday = $thismonth['wday'];
					
					for ($i=0; $i<($maxday+$startday); $i++) 
					{
						if(($i % 7) == 0 ) echo "<tr>\n";
						if($i < $startday) echo "<td></td>\n";
						else echo "<td align='center' valign='middle' height='20px'>". ($i - $startday + 1) . "</td>\n";
						if(($i % 7) == 6 ) echo "</tr>\n";
					}
				?>
			</table>
		</td>
	</tr>
</table>